|  | Home · All Classes · Modules

# QDesignerActionEditorInterface Class Reference
[QtDesigner module]

The QDesignerActionEditorInterface class allows you to change the focus of Qt Designer's action editor. More...

Inherits QWidget.

### Methods

- __init__ (self, QWidget parent, Qt.WindowFlags flags = 0)
- QDesignerFormEditorInterface core (self)
- manageAction (self, QAction action)
- setFormWindow (self, QDesignerFormWindowInterface formWindow)
- unmanageAction (self, QAction action)

## Detailed Description

The QDesignerActionEditorInterface class allows you to change the focus of Qt Designer's action editor.

The QDesignerActionEditorInterface class is not intended to be instantiated directly. You can retrieve an interface to Qt Designer's action editor using the QDesignerFormEditorInterface.actionEditor() function.

You can control which actions that are available in the action editor's window using the manageAction() and unmanageAction() functions. An action that is managed by Qt Designer is available in the action editor while an unmanaged action is ignored.

QDesignerActionEditorInterface also provides the core() function that you can use to retrieve a pointer to Qt Designer's current QDesignerFormEditorInterface object, and the setFormWindow() function that enables you to change the currently selected form window.

## Method Documentation

### QDesignerActionEditorInterface.__init__ (self, QWidget parent, Qt.WindowFlags flags = 0)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs an action editor interface with the given parent and the specified window flags.

### QDesignerFormEditorInterface QDesignerActionEditorInterface.core (self)

Returns a pointer to Qt Designer's current QDesignerFormEditorInterface object.

### QDesignerActionEditorInterface.manageAction (self, QAction action)

This method is abstract and should be reimplemented in any sub-class.

Instructs Qt Designer to manage the specified action. An action that is managed by Qt Designer is available in the action editor.

See also unmanageAction().

### QDesignerActionEditorInterface.setFormWindow (self, QDesignerFormWindowInterface formWindow)

This method is also a Qt slot with the C++ signature `void setFormWindow(QDesignerFormWindowInterface*)`.

This method is abstract and should be reimplemented in any sub-class.

Sets the currently selected form window to formWindow.

### QDesignerActionEditorInterface.unmanageAction (self, QAction action)

This method is abstract and should be reimplemented in any sub-class.

Instructs Qt Designer to ignore the specified action. An unmanaged action is not available in the action editor.

See also manageAction().